#!/bin/sh
echo "Command-line samples for XPSConvert"
echo "Copyright 2019 Apryse Software Inc."
echo
echo "Example 1) Convert XPS to PDF using default settings:"
./xpsconvert -o test_out/ex1 test/"PDFTron XPSConvert User Manual.xps"
echo
echo "Example 2) Convert XPS cover page to PNG 100x100 pixel thumbnail:"
./xpsconvert -o test_out/ex2 -f png --hres 100 --vres 100 -a 1 test/"PDFTron XPSConvert User Manual.xps"
echo
echo "Example 3) Convert XPS to multi-page TIFF using monochrome rendering with dithering; also rotate image 90 degrees couterclockwise:"
./xpsconvert -o test_out/ex3 --dpi 96 -f tif --multipage --mono --dither --rotate 90 test/"PDFTron XPSConvert User Manual.xps"
echo
